"use strict";
/*
 * Copyright 2020 Palantir Technologies, Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogStepButton = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const buttons_1 = require("../button/buttons");
const tooltip_1 = require("../tooltip/tooltip");
function DialogStepButton({ tooltipContent, ...props }) {
    const button = React.createElement(buttons_1.AnchorButton, { ...props });
    if (tooltipContent !== undefined) {
        return React.createElement(tooltip_1.Tooltip, { content: tooltipContent }, button);
    }
    else {
        return button;
    }
}
exports.DialogStepButton = DialogStepButton;
//# sourceMappingURL=dialogStepButton.js.map