import * as React from "react";
import { type HotkeysProviderProps } from "./hotkeys/hotkeysProvider";
import { type OverlaysProviderProps } from "./overlays/overlaysProvider";
import { type PortalContextOptions } from "./portal/portalProvider";
type HotkeysProviderPrefix<T> = {
    [Property in keyof T as `hotkeysProvider${Capitalize<string & Property>}`]: T[Property];
};
export interface BlueprintProviderProps extends OverlaysProviderProps, PortalContextOptions, HotkeysProviderPrefix<HotkeysProviderProps> {
}
/**
 * Composite Blueprint context provider which enables & manages various global behaviors of Blueprint applications.
 *
 * @see https://blueprintjs.com/docs/#core/context/blueprint-provider
 */
export declare const BlueprintProvider: ({ children, hotkeysProviderValue, ...props }: BlueprintProviderProps) => React.JSX.Element;
export {};
